#ifndef LOADINGMENU_HPP
#define LOADINGMENU_HPP

// C++
#include <fstream>
// SFML
#include <SFML/Graphics.hpp>
// Projet
#include "gamestate.hpp"

class LoadingMenu : public GameState
{
public:
    LoadingMenu(RessourceManager*);
    ~LoadingMenu();
    virtual void draw();
    virtual bool event(const sf::Event&);
    virtual void loadSlot(unsigned int);

private:
    // C++
    bool m_slot_existe[3];
    // SFML
    sf::Sprite m_background, m_flecheBack, m_slot_icon[3];
    // Projet
};

#endif // LOADINGMENU_HPP
