#include "collisions.hpp"
#include <SFML/Graphics/Texture.hpp>

bool collisionSourisSprite(const int& xSouris, const int& ySouris, const sf::Sprite& Sp)
{
    if (xSouris >= Sp.getPosition().x &&
        ySouris >= Sp.getPosition().y &&
        xSouris <= Sp.getPosition().x + Sp.getTextureRect().width &&
        ySouris <= Sp.getPosition().y + Sp.getTextureRect().height)
        if (Sp.getTexture()->copyToImage().getPixel(xSouris - Sp.getPosition().x, ySouris - Sp.getPosition().y).a != 0)
            return true;

    return false;
}
