#ifndef GAMESTATE_HPP
#define GAMESTATE_HPP

// C++
// SFML
#include <SFML/Window/Event.hpp>
// Projet
#include "ressourcemanager.hpp"

class GameState
{
public:
    GameState(RessourceManager*, bool modal, bool opaque);
    virtual ~GameState();
    bool isModal();
    bool isOpaque();
    bool virtual event(const sf::Event&);
    void virtual update(float);
    void virtual draw();

protected:
    RessourceManager* m_RManager;
    // C++
    bool m_modal, m_opaque;
    // SFML
};

#endif // GAMESTATE_HPP
