#ifndef MAINMENU_HPP
#define MAINMENU_HPP

// C++
#include <iostream>
// SFML
// Projet
#include "gamestate.hpp"
#include "sprite.hpp"

class MainMenu : public GameState
{
public:
    MainMenu(RessourceManager*);
    ~MainMenu();
    bool virtual event(const sf::Event&);
    void virtual draw();
    void update(float);

private:
    // C++
    bool m_playingBGM;
    float m_tpsAvantClignement;
    // SFML
    sf::Sprite m_background, m_commencer, m_charger, m_quitter, m_titre, m_commandes;
    // Projet
    AnimatedSprite* m_virus;
};

#endif // MAINMENU_HPP
