#ifndef MANAGER_SOUNDBUFFER_HPP
#define MANAGER_SOUNDBUFFER_HPP

///////////////////////////////////////////////////////////////
// Manager_SoundBuffer ////////////////////////////////////////////
///////////////////////////////////////////////////////////////
// Date de cration     : 16/03/2013
// Dernire mise  jour : 16/03/2013
///////////////////////////////////////////////////////////////
/*
 * Cette classe gre les SoundBuffers.
 * cf. la classe Manager pour plus d'infos.
*/
///////////////////////////////////////////////////////////////

// C++
// SFML
#include <SFML/Audio/SoundBuffer.hpp>
// Projet
#include "manager.hpp"

class Manager_SoundBuffer : public Manager<sf::SoundBuffer>
{
public:
    Manager_SoundBuffer();
    ~Manager_SoundBuffer();

private:
    void load();
};

#endif // MANAGER_SOUNDBUFFER_HPP
