#ifndef MANAGER_TEXTURE_HPP
#define MANAGER_TEXTURE_HPP

///////////////////////////////////////////////////////////////
// Manager_Texture ////////////////////////////////////////////
///////////////////////////////////////////////////////////////
// Date de cration     : 16/03/2013
// Dernire mise  jour : 16/03/2013
///////////////////////////////////////////////////////////////
/*
 * Cette classe gre les textures.
 * cf. la classe Manager pour plus d'infos.
*/
///////////////////////////////////////////////////////////////

// C++
// SFML
#include <SFML/Graphics/Texture.hpp>
// Projet
#include "manager.hpp"

class Manager_Texture : public Manager<sf::Texture>
{
public:
    Manager_Texture();
    ~Manager_Texture();

private:
    void load();
};

#endif // MANAGER_TEXTURE_HPP
