#ifndef MAPENTITY_HPP
#define MAPENTITY_HPP

// C++
#include <string>
// SFML
// Projet
#include "entity.hpp"

class CurrentLevelVortex : public Entity
{
public:
    CurrentLevelVortex(RessourceManager*, int x, int y);
    ~CurrentLevelVortex();
};

class NextLevelVortex : public Entity
{
public:
    NextLevelVortex(RessourceManager*, std::string, int x, int y);
    ~NextLevelVortex();
    virtual void onCollision();

private:
    // C++
    std::string m_nextLevelName;
    // SFML
    // Projet
};

#endif // MAPENTITY_HPP
