#ifndef NEWGAMEMENU_HPP
#define NEWGAMEMENU_HPP

// C++
#include <fstream>
// SFML
#include <SFML/Graphics.hpp>
// Projet
#include "gamestate.hpp"

class NewGameMenu : public GameState
{
public:
    NewGameMenu(RessourceManager*);
    ~NewGameMenu();
    virtual void draw();
    virtual bool event(const sf::Event&);

private:
    // C++
    bool m_slot_existe[3];
    // SFML
    sf::Sprite m_background, m_flecheBack, m_slot_icon[3];
    // Projet
};

#endif // NEWGAMEMENU_HPP
