#ifndef SCRIPTEDENTITY_HPP
#define SCRIPTEDENTITY_HPP

// C++
#include <iostream>
#include <string>
#include <fstream>
// SFML
// Projet
#include "entity.hpp"

enum TypeDeclenchement{Dont, OnMapLoading, OnCollision, OnShoot, AfterWait};

class ScriptedEntity : public Entity
{
public:
    ScriptedEntity(RessourceManager*, Sprite*, const std::string, int x, int y);
    virtual ~ScriptedEntity();
    virtual void update(float);
    virtual void onCollision();
    virtual void onShoot();
    virtual void activate();

protected:
    virtual void load();
    // C++
    std::string m_path;
    TypeDeclenchement m_typeDeclenchement;
    float m_tempsAvantDeclenchement;
    bool m_seRepete;
    // SFML
    // Projet
};

#endif // SCRIPTEDENTITY_HPP
