#ifndef STRUCTENTITY_HPP
#define STRUCTENTITY_HPP

// C++
// SFML
// Projet
#include "entity.hpp"

class GroundEntity : public Entity
{
public:
    GroundEntity(RessourceManager*, Sprite*, HitboxType, int x, int y);
    ~GroundEntity();
};

class PicEntity : public Entity
{
public:
    PicEntity(RessourceManager*, Sprite*, int x, int y);
    ~PicEntity();
    virtual void onCollision();
    virtual void activate();
};

class DoorEntity : public Entity
{
public:
    DoorEntity(RessourceManager*, Sprite*, int x, int y);
    ~DoorEntity();
    virtual void activate();
    virtual void open();
    virtual void close();

protected:
    // C++
    bool m_isOpen;
    // SFML
    // Projet
};

class DecorationEntity : public Entity
{
public:
    DecorationEntity(RessourceManager*, Sprite*, int x, int y);
    ~DecorationEntity();
};

#endif // STRUCTENTITY_HPP
